import { DefineComponent, PropType } from 'vue';
import type { RouteLocationRaw } from 'vue-router';
export type ButtonVariant = 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'link';
declare const _default: DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    /** type of button */
    type: {
        type: StringConstructor;
        default: string;
    };
    variant: {
        type: PropType<ButtonVariant>;
        default: string;
        validator: (v: never) => boolean;
    };
    component: {
        type: PropType<string | DefineComponent>;
        default: string;
    };
    spinnerAriaValueText: {
        type: StringConstructor;
        default: string;
    };
    active: BooleanConstructor;
    block: BooleanConstructor;
    disabled: BooleanConstructor;
    loading: {
        type: BooleanConstructor;
        default: null;
    };
    /** Adds small styling to the button */
    small: BooleanConstructor;
    /** Adds extra small styling to the button */
    xSmall: BooleanConstructor;
    /** Adds small styling to the button */
    large: BooleanConstructor;
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    href: {
        type: StringConstructor;
        default: null;
    };
    to: {
        type: PropType<RouteLocationRaw>;
        default: null;
    };
    replace: BooleanConstructor;
    activeClass: {
        type: StringConstructor;
        default: string;
    };
    ariaCurrentValue: {
        type: StringConstructor;
        default: null;
    };
    exactActiveClass: {
        type: StringConstructor;
        default: null;
    };
}, {
    ouiaProps: import("vue").ComputedRef<{
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean | undefined;
        'data-ouia-component-id': string;
    }>;
}, unknown, {
    buttonComponent(): string | DefineComponent;
    effectiveDisabled(): boolean;
    tabIdx(): string | number | null;
}, {
    onClick(e: MouseEvent, navigate: (event?: MouseEvent) => never): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (event: MouseEvent) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    /** type of button */
    type: {
        type: StringConstructor;
        default: string;
    };
    variant: {
        type: PropType<ButtonVariant>;
        default: string;
        validator: (v: never) => boolean;
    };
    component: {
        type: PropType<string | DefineComponent>;
        default: string;
    };
    spinnerAriaValueText: {
        type: StringConstructor;
        default: string;
    };
    active: BooleanConstructor;
    block: BooleanConstructor;
    disabled: BooleanConstructor;
    loading: {
        type: BooleanConstructor;
        default: null;
    };
    /** Adds small styling to the button */
    small: BooleanConstructor;
    /** Adds extra small styling to the button */
    xSmall: BooleanConstructor;
    /** Adds small styling to the button */
    large: BooleanConstructor;
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: null;
    };
    href: {
        type: StringConstructor;
        default: null;
    };
    to: {
        type: PropType<RouteLocationRaw>;
        default: null;
    };
    replace: BooleanConstructor;
    activeClass: {
        type: StringConstructor;
        default: string;
    };
    ariaCurrentValue: {
        type: StringConstructor;
        default: null;
    };
    exactActiveClass: {
        type: StringConstructor;
        default: null;
    };
}>> & {
    onClick?: ((event: MouseEvent) => any) | undefined;
}, {
    variant: ButtonVariant;
    href: string;
    type: string;
    ouiaId: string;
    ouiaSafe: boolean;
    replace: boolean;
    small: boolean;
    disabled: boolean;
    loading: boolean;
    active: boolean;
    component: string | DefineComponent;
    spinnerAriaValueText: string;
    block: boolean;
    xSmall: boolean;
    large: boolean;
    tabindex: string | number;
    to: RouteLocationRaw;
    activeClass: string;
    ariaCurrentValue: string;
    exactActiveClass: string;
}, {}>;
export default _default;
