import { PropType } from 'vue';
type Option = Record<string, never> | string | number;
interface NormalizedOption {
    option: Option;
    label: string;
    value: string | number;
}
declare const _default: import("vue").DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: null;
    };
    modelValue: {
        type: PropType<string | number | null>;
        default: null;
    };
    placeholder: {
        type: StringConstructor;
        default: null;
    };
    disabled: BooleanConstructor;
    required: BooleanConstructor;
    tabindex: {
        type: StringConstructor;
        default: null;
    };
    options: {
        type: PropType<Option[]>;
        default: () => Option[];
    };
    labelField: {
        type: StringConstructor;
        default: string;
    };
    valueField: {
        type: StringConstructor;
        default: string;
    };
    match: {
        type: PropType<(o: NormalizedOption, q: string) => boolean>;
        default: (o: NormalizedOption, q: string) => boolean;
    };
    highlight: {
        type: PropType<(o: NormalizedOption, q: string) => string>;
        default: (o: NormalizedOption, q: string) => string;
    };
    withCheckbox: {
        type: (StringConstructor | BooleanConstructor)[];
        default: boolean;
    };
}, {
    ouiaProps: import("vue").ComputedRef<{
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean | undefined;
        'data-ouia-component-id': string;
    }>;
}, {
    blurTimeout: number | undefined;
    showOptions: boolean;
    filter: string | null;
    active: string | number | null;
    hasError: boolean;
    checked: boolean;
}, {
    hasValue(): boolean;
    label(): string;
    optionsMap(): Record<string | number, NormalizedOption>;
    filteredOptions(): {
        highlighted: string;
        option: Option;
        label: string;
        value: string | number;
    }[];
    text: {
        get(): string;
        set(text: string): void;
    };
    dropdownOpen(): number | false;
    effectiveDisabled(): boolean;
}, {
    setValue(value: string | number | null): void;
    toggleOptions(): void;
    blur(): void;
    prev(): void;
    next(): void;
    apply(e: Event): void;
    dropdownClick(e: Event): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    update: (value: string | number | null) => boolean;
    'update:modelValue': (value: string | number | null) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: null;
    };
    modelValue: {
        type: PropType<string | number | null>;
        default: null;
    };
    placeholder: {
        type: StringConstructor;
        default: null;
    };
    disabled: BooleanConstructor;
    required: BooleanConstructor;
    tabindex: {
        type: StringConstructor;
        default: null;
    };
    options: {
        type: PropType<Option[]>;
        default: () => Option[];
    };
    labelField: {
        type: StringConstructor;
        default: string;
    };
    valueField: {
        type: StringConstructor;
        default: string;
    };
    match: {
        type: PropType<(o: NormalizedOption, q: string) => boolean>;
        default: (o: NormalizedOption, q: string) => boolean;
    };
    highlight: {
        type: PropType<(o: NormalizedOption, q: string) => string>;
        default: (o: NormalizedOption, q: string) => string;
    };
    withCheckbox: {
        type: (StringConstructor | BooleanConstructor)[];
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((value: string | number | null) => any) | undefined;
    onUpdate?: ((value: string | number | null) => any) | undefined;
}, {
    name: string;
    ouiaId: string;
    ouiaSafe: boolean;
    match: (o: NormalizedOption, q: string) => boolean;
    disabled: boolean;
    tabindex: string;
    modelValue: string | number | null;
    placeholder: string;
    required: boolean;
    options: Option[];
    labelField: string;
    valueField: string;
    highlight: (o: NormalizedOption, q: string) => string;
    withCheckbox: string | boolean;
}, {}>;
export default _default;
