import { DefineComponent, Ref } from 'vue';
declare const PfLayout: DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    display: {
        type: StringConstructor;
        default: string;
        validator: (display: never) => boolean;
    };
    icons: BooleanConstructor;
    horizontal: BooleanConstructor;
    collapsable: BooleanConstructor;
    disabled: BooleanConstructor;
    nomargin: BooleanConstructor;
    horizontalSecondary: BooleanConstructor;
    noOuiaMain: BooleanConstructor;
}, {
    ouiaProps: import("vue").ComputedRef<{
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean | undefined;
        'data-ouia-component-id': string;
    }>;
    collapsed: Ref<boolean>;
    modalsTarget: Ref<HTMLElement | null>;
}, {
    secondaryMenus: number;
    tertiaryMenus: number;
    width: number;
}, {
    desktop(): boolean;
    tablet(): boolean;
    mobile(): boolean;
}, {
    resize(): void;
    updateHtmlClasses(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:collapsed': (value: boolean) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    display: {
        type: StringConstructor;
        default: string;
        validator: (display: never) => boolean;
    };
    icons: BooleanConstructor;
    horizontal: BooleanConstructor;
    collapsable: BooleanConstructor;
    disabled: BooleanConstructor;
    nomargin: BooleanConstructor;
    horizontalSecondary: BooleanConstructor;
    noOuiaMain: BooleanConstructor;
}>> & {
    "onUpdate:collapsed"?: ((value: boolean) => any) | undefined;
}, {
    ouiaId: string;
    ouiaSafe: boolean;
    disabled: boolean;
    display: string;
    horizontal: boolean;
    icons: boolean;
    collapsable: boolean;
    nomargin: boolean;
    horizontalSecondary: boolean;
    noOuiaMain: boolean;
}, {}>;
export declare function isPfLayout(component: unknown): component is InstanceType<typeof PfLayout>;
export default PfLayout;
