import { PropType, Ref } from 'vue';
import { SortDirection } from './Sort.vue';
declare const _default: import("vue").DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    page: {
        type: NumberConstructor;
        default: number;
    };
    totalItems: {
        type: NumberConstructor;
        default: number;
    };
    itemsPerPage: {
        type: NumberConstructor;
        default: number;
    };
    itemsPerPageOptions: {
        type: PropType<number[]>;
        default: () => number[];
    };
    columns: {
        type: PropType<string[]>;
        default: () => string[];
    };
    rows: {
        type: PropType<Record<string, unknown>[]>;
        default: () => Record<string, unknown>[];
    };
    keyName: StringConstructor;
    striped: BooleanConstructor;
    bordered: BooleanConstructor;
    hover: BooleanConstructor;
    selectable: BooleanConstructor;
    scrollable: BooleanConstructor;
    sortable: BooleanConstructor;
    sortBy: StringConstructor;
    sortDirection: {
        type: PropType<SortDirection>;
        default: string;
        validator: (v: never) => boolean;
    };
}, {
    ouiaProps: import("vue").ComputedRef<{
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean | undefined;
        'data-ouia-component-id': string;
    }>;
    thead: Ref<HTMLTableSectionElement | null>;
    theadClone: Ref<HTMLTableSectionElement | null>;
    rowItems: Ref<import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        ouiaId: {
            type: StringConstructor;
            default: string | null;
        };
        ouiaSafe: BooleanConstructor;
        num: NumberConstructor;
        selectable: BooleanConstructor;
    }>> & {
        onSelect?: ((selected: boolean) => any) | undefined;
    }, {
        ouiaProps: import("vue").ComputedRef<{
            'data-ouia-component-type': string;
            'data-ouia-safe': boolean | undefined;
            'data-ouia-component-id': string;
        }>;
    }, {
        selected: boolean;
    }, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        select: (selected: boolean) => boolean;
    }, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        ouiaId: {
            type: StringConstructor;
            default: string | null;
        };
        ouiaSafe: BooleanConstructor;
        num: NumberConstructor;
        selectable: BooleanConstructor;
    }>> & {
        onSelect?: ((selected: boolean) => any) | undefined;
    }, {
        ouiaId: string;
        ouiaSafe: boolean;
        selectable: boolean;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        ouiaId: {
            type: StringConstructor;
            default: string | null;
        };
        ouiaSafe: BooleanConstructor;
        num: NumberConstructor;
        selectable: BooleanConstructor;
    }>> & {
        onSelect?: ((selected: boolean) => any) | undefined;
    }, {
        ouiaProps: import("vue").ComputedRef<{
            'data-ouia-component-type': string;
            'data-ouia-safe': boolean | undefined;
            'data-ouia-component-id': string;
        }>;
    }, {
        selected: boolean;
    }, {}, {}, {
        ouiaId: string;
        ouiaSafe: boolean;
        selectable: boolean;
    }>[]>;
    pagination: Ref<import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        ouiaId: {
            type: StringConstructor;
            default: string | null;
        };
        ouiaSafe: BooleanConstructor;
        page: {
            type: NumberConstructor;
            required: true;
        };
        type: {
            type: StringConstructor;
            default: string;
            validator: (type: never) => boolean;
        };
        totalItems: {
            type: NumberConstructor;
            default: number;
        };
        itemsPerPage: {
            type: NumberConstructor;
            default: number;
        };
        itemsPerPageOptions: {
            type: PropType<(string | number)[]>;
            default: () => number[];
        };
        labelFirstPage: {
            type: StringConstructor;
            default: string;
        };
        labelLastPage: {
            type: StringConstructor;
            default: string;
        };
        labelPreviousPage: {
            type: StringConstructor;
            default: string;
        };
        labelNextPage: {
            type: StringConstructor;
            default: string;
        };
        labelCurrentPage: {
            type: StringConstructor;
            default: string;
        };
        labelOf: {
            type: StringConstructor;
            default: string;
        };
        labelPerPage: {
            type: StringConstructor;
            default: string;
        };
    }>> & {
        onChange?: ((page: string | number) => any) | undefined;
        "onUpdate:itemsPerPage"?: ((value: string | number) => any) | undefined;
    }, {
        ouiaProps: import("vue").ComputedRef<{
            'data-ouia-component-type': string;
            'data-ouia-safe': boolean | undefined;
            'data-ouia-component-id': string;
        }>;
    }, unknown, {
        pages(): number;
        firstItem(): number;
        lastItem(): number;
    }, {
        setPage(page: number): void;
        openPerPageSelect(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        change: (page: string | number) => boolean;
        'update:itemsPerPage': (value: string | number) => boolean;
    }, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        ouiaId: {
            type: StringConstructor;
            default: string | null;
        };
        ouiaSafe: BooleanConstructor;
        page: {
            type: NumberConstructor;
            required: true;
        };
        type: {
            type: StringConstructor;
            default: string;
            validator: (type: never) => boolean;
        };
        totalItems: {
            type: NumberConstructor;
            default: number;
        };
        itemsPerPage: {
            type: NumberConstructor;
            default: number;
        };
        itemsPerPageOptions: {
            type: PropType<(string | number)[]>;
            default: () => number[];
        };
        labelFirstPage: {
            type: StringConstructor;
            default: string;
        };
        labelLastPage: {
            type: StringConstructor;
            default: string;
        };
        labelPreviousPage: {
            type: StringConstructor;
            default: string;
        };
        labelNextPage: {
            type: StringConstructor;
            default: string;
        };
        labelCurrentPage: {
            type: StringConstructor;
            default: string;
        };
        labelOf: {
            type: StringConstructor;
            default: string;
        };
        labelPerPage: {
            type: StringConstructor;
            default: string;
        };
    }>> & {
        onChange?: ((page: string | number) => any) | undefined;
        "onUpdate:itemsPerPage"?: ((value: string | number) => any) | undefined;
    }, {
        type: string;
        ouiaId: string;
        ouiaSafe: boolean;
        totalItems: number;
        itemsPerPage: number;
        itemsPerPageOptions: (string | number)[];
        labelFirstPage: string;
        labelLastPage: string;
        labelPreviousPage: string;
        labelNextPage: string;
        labelCurrentPage: string;
        labelOf: string;
        labelPerPage: string;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        ouiaId: {
            type: StringConstructor;
            default: string | null;
        };
        ouiaSafe: BooleanConstructor;
        page: {
            type: NumberConstructor;
            required: true;
        };
        type: {
            type: StringConstructor;
            default: string;
            validator: (type: never) => boolean;
        };
        totalItems: {
            type: NumberConstructor;
            default: number;
        };
        itemsPerPage: {
            type: NumberConstructor;
            default: number;
        };
        itemsPerPageOptions: {
            type: PropType<(string | number)[]>;
            default: () => number[];
        };
        labelFirstPage: {
            type: StringConstructor;
            default: string;
        };
        labelLastPage: {
            type: StringConstructor;
            default: string;
        };
        labelPreviousPage: {
            type: StringConstructor;
            default: string;
        };
        labelNextPage: {
            type: StringConstructor;
            default: string;
        };
        labelCurrentPage: {
            type: StringConstructor;
            default: string;
        };
        labelOf: {
            type: StringConstructor;
            default: string;
        };
        labelPerPage: {
            type: StringConstructor;
            default: string;
        };
    }>> & {
        onChange?: ((page: string | number) => any) | undefined;
        "onUpdate:itemsPerPage"?: ((value: string | number) => any) | undefined;
    }, {
        ouiaProps: import("vue").ComputedRef<{
            'data-ouia-component-type': string;
            'data-ouia-safe': boolean | undefined;
            'data-ouia-component-id': string;
        }>;
    }, {}, {
        pages(): number;
        firstItem(): number;
        lastItem(): number;
    }, {
        setPage(page: number): void;
        openPerPageSelect(): void;
    }, {
        type: string;
        ouiaId: string;
        ouiaSafe: boolean;
        totalItems: number;
        itemsPerPage: number;
        itemsPerPageOptions: (string | number)[];
        labelFirstPage: string;
        labelLastPage: string;
        labelPreviousPage: string;
        labelNextPage: string;
        labelCurrentPage: string;
        labelOf: string;
        labelPerPage: string;
    }> | null>;
    showClones: Ref<boolean>;
    headHeight: Ref<number>;
}, unknown, {
    actionSpan(): number;
    sortAscending(): boolean;
}, {
    setSortBy(field: string, direction: SortDirection): void;
    changeSelectAll(e: Event): void;
    setAllSelected(selected?: boolean): void;
    getSelected(): Record<string, unknown>[];
    keyFor(value: unknown, fallback: string | number): string | number;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:page': (page: string | number) => boolean;
    'update:itemsPerPage': (value: string | number) => boolean;
    'sort-by': (field: string, direction: SortDirection) => boolean;
    'update:sortBy': (field: string) => boolean;
    'update:sortDirection': (direction: SortDirection) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    page: {
        type: NumberConstructor;
        default: number;
    };
    totalItems: {
        type: NumberConstructor;
        default: number;
    };
    itemsPerPage: {
        type: NumberConstructor;
        default: number;
    };
    itemsPerPageOptions: {
        type: PropType<number[]>;
        default: () => number[];
    };
    columns: {
        type: PropType<string[]>;
        default: () => string[];
    };
    rows: {
        type: PropType<Record<string, unknown>[]>;
        default: () => Record<string, unknown>[];
    };
    keyName: StringConstructor;
    striped: BooleanConstructor;
    bordered: BooleanConstructor;
    hover: BooleanConstructor;
    selectable: BooleanConstructor;
    scrollable: BooleanConstructor;
    sortable: BooleanConstructor;
    sortBy: StringConstructor;
    sortDirection: {
        type: PropType<SortDirection>;
        default: string;
        validator: (v: never) => boolean;
    };
}>> & {
    "onUpdate:sortBy"?: ((field: string) => any) | undefined;
    "onUpdate:sortDirection"?: ((direction: SortDirection) => any) | undefined;
    "onSort-by"?: ((field: string, direction: SortDirection) => any) | undefined;
    "onUpdate:itemsPerPage"?: ((value: string | number) => any) | undefined;
    "onUpdate:page"?: ((page: string | number) => any) | undefined;
}, {
    ouiaId: string;
    ouiaSafe: boolean;
    hover: boolean;
    columns: string[];
    bordered: boolean;
    sortDirection: SortDirection;
    page: number;
    selectable: boolean;
    totalItems: number;
    itemsPerPage: number;
    itemsPerPageOptions: number[];
    rows: Record<string, unknown>[];
    striped: boolean;
    scrollable: boolean;
    sortable: boolean;
}, {}>;
export default _default;
