import { PropType } from 'vue';
import { RadioValueType } from './RadioButton.vue';
export type ToggleSize = 'xs' | 'sm' | 'md' | 'lg';
declare const _default: import("vue").DefineComponent<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: null;
    };
    modelValue: {
        type: PropType<RadioValueType>;
        required: true;
    };
    disabled: BooleanConstructor;
    loading: BooleanConstructor;
    loose: BooleanConstructor;
    onText: {
        type: StringConstructor;
        default: string;
    };
    onValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    onClass: {
        type: StringConstructor;
        default: string;
    };
    offText: {
        type: StringConstructor;
        default: string;
    };
    offValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    noOff: BooleanConstructor;
    offClass: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<ToggleSize>;
        default: string;
        validator: (val: never) => boolean;
    };
}, {
    ouiaProps: import("vue").ComputedRef<{
        'data-ouia-component-type': string;
        'data-ouia-safe': boolean | undefined;
        'data-ouia-component-id': string;
    }>;
}, unknown, {
    on(): boolean;
    radioValue(): string | number | boolean | null;
    values(): (string | number | boolean | null)[];
}, {
    test(value: RadioValueType): boolean;
    setOff(): void;
    set(value: RadioValueType): void;
    toggle(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (value: RadioValueType) => boolean;
    'update:modelValue': (value: RadioValueType) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    ouiaId: {
        type: StringConstructor;
        default: string | null;
    };
    ouiaSafe: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: null;
    };
    modelValue: {
        type: PropType<RadioValueType>;
        required: true;
    };
    disabled: BooleanConstructor;
    loading: BooleanConstructor;
    loose: BooleanConstructor;
    onText: {
        type: StringConstructor;
        default: string;
    };
    onValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    onClass: {
        type: StringConstructor;
        default: string;
    };
    offText: {
        type: StringConstructor;
        default: string;
    };
    offValue: {
        type: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    noOff: BooleanConstructor;
    offClass: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<ToggleSize>;
        default: string;
        validator: (val: never) => boolean;
    };
}>> & {
    onChange?: ((value: RadioValueType) => any) | undefined;
    "onUpdate:modelValue"?: ((value: RadioValueType) => any) | undefined;
}, {
    name: string;
    ouiaId: string;
    ouiaSafe: boolean;
    disabled: boolean;
    loading: boolean;
    size: ToggleSize;
    loose: boolean;
    noOff: boolean;
    onText: string;
    onValue: string | number | boolean;
    onClass: string;
    offText: string;
    offValue: string | number | boolean;
    offClass: string;
}, {}>;
export default _default;
